#ifndef _grabNavigator_h_
#define _grabNavigator_h_

#include <ygCAVENavigator.h>

class grabNavigator : public ygCAVENavigator
    {
    public:
     grabNavigator(const char* name,bool master=true);
     ~grabNavigator(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     enum grabMode {GRAB, MOVE, TELEPORT};
     void grab(void);
     void drop(void);
     ygString nodeName;
     ygNode* node;
     pfMatrix matrix;
     grabMode mode;
     float posDistanceThresh;
     float posMotionThresh;
     float headDistanceThresh;
     float headMotionThresh;
    };


#endif
