#ifndef _toAndFrom_h_
#define _toAndFrom_h_

#include "ygTransform.h"


class toAndFrom : public ygTransform
    {
    public:
     toAndFrom(const char* name,bool master=true);
     ~toAndFrom(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     void setStartPos(void);
     void setState(int s);
     void setPreviousState(int s);
     void goThere(void);
     void goHere(void);
     void setLoop(void);
     void stopLoop(void);
     
     pfVec3 start_pos_, end_pos_;
     int state_,  previousState_,  loop_;
     float startTime_, duration_;
     
    };


#endif
