#ifndef _ygEvent_h_
#define _ygEvent_h_

#include "ygString.h"


class ygEvent
    {
    public:
     ygEvent(const ygString& name,const ygString& args);
     ~ygEvent(void);
     ygEvent& operator=(const ygEvent& other);
     ygEvent& operator=(const ygString& name);
     void parseArgs(const ygString& str);
     ygString* argValue(const ygString&) const;
     void addArg(const ygString& arg,const ygString& val);
     inline const ygString& name(void) const { return name_; }

     friend inline bool operator==(const ygEvent& a,const ygString& b)
        { return a.name_ == b; }
     friend inline bool operator==(const ygString& a,const ygEvent& b)
        { return a == b.name_; }

    private:
     ygString name_;
     struct _ygEventPrivateData *p_;
    };

#endif
