#ifndef _ygObject_h_
#define _ygObject_h_

#include "ygString.h"
#include "ygMessage.h"
#include "ygGeometry.h"

class ygObject : public ygGeometry
    {
    public:
     ygObject(const char*,bool master=true);
     virtual ~ygObject(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
         void loadFile(const ygString&);
         const ygString& filename(void) const;
    private:
         ygString filename_;
         pfNode* obj;
         ygNode* transform;
         bool cache, curCache;
    };


extern "C" ygNode* construct_ygObject(const char*,bool);

#endif
