#ifndef _ygWand_h_
#define _ygWand_h_

#include "ygNode.h"
class ygUser;

class ygWand : public ygNode
    {
    public:
     ygWand(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual int numFlags(void) const;
     virtual bool getFlag(int num,ygString& flag) const;
         const ygUser* user(void) const;
    protected:
         void setFlag(const ygString& flag);
    private:
     struct _ygWandPrivateData * p_;
    };

extern "C" ygNode* construct_ygWand(const char*,bool);

#endif
