#ifndef _fltObject_h_
#define _fltObject_h_

#include "ygString.h"
#include "ygMessage.h"
#include "ygGeometry.h"

class fltObject : public ygGeometry
    {
    public:
     fltObject(const char*,bool master=true);
     ~fltObject(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
         void loadFile(const ygString&,const bool&);
         void extractNode(const ygString&,const ygString&,const int&);
         void setWall(bool val=true);
         void setFloor(bool val=true);
         void setDraw(bool val=true);
    private:
     struct _fltObjectPrivateData * p_;
    };

#endif
