#ifndef _ygSound_h_
#define _ygSound_h_

#include "ygSoundServer.h"


class ygSound : public ygSoundServer
    {
    public:
     ygSound(const char*,bool master=true);
     virtual ~ygSound(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void play(void);
     virtual void stop(bool sendStopCommand=true);
     virtual bool isPlaying(void);
      void setFile(const ygString&);
      void setLoop(bool);
      void setCurAmplitude(float);
    private:
     struct _ygSoundPrivateData * p_;
    };

extern "C" ygNode* construct_ygSound(const char*,bool);

#endif
